{
  "groups": [
    {
      "name": "cos",
      "type": "com.template.config.CosConfig",
      "sourceType": "com.template.config.CosConfig"
    },
    {
      "name": "openid",
      "type": "com.template.config.WxOpenidConfig",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "smong",
      "type": "com.template.config.SmongConfig",
      "sourceType": "com.template.config.SmongConfig"
    },
    {
      "name": "tencentcloud",
      "type": "com.template.config.smsConfig",
      "sourceType": "com.template.config.smsConfig"
    },
    {
      "name": "video",
      "type": "com.template.config.VideoConfig",
      "sourceType": "com.template.config.VideoConfig"
    }
  ],
  "properties": [
    {
      "name": "cos.bucket-name",
      "type": "java.lang.String",
      "description": "存储桶名称",
      "sourceType": "com.template.config.CosConfig"
    },
    {
      "name": "cos.path",
      "type": "java.lang.String",
      "description": "存储桶访问路径",
      "sourceType": "com.template.config.CosConfig"
    },
    {
      "name": "cos.region",
      "type": "java.lang.String",
      "description": "存储桶地区",
      "sourceType": "com.template.config.CosConfig"
    },
    {
      "name": "cos.secret-id",
      "type": "java.lang.String",
      "description": "腾讯云账号秘钥",
      "sourceType": "com.template.config.CosConfig"
    },
    {
      "name": "cos.secret-key",
      "type": "java.lang.String",
      "description": "密码秘钥",
      "sourceType": "com.template.config.CosConfig"
    },
    {
      "name": "openid.appid",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.appkey",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.granttype",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.ip",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.ipconfig",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.ocode",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.return-url",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.shappid",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.shsecret",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.xappid",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "openid.xsecret",
      "type": "java.lang.String",
      "sourceType": "com.template.config.WxOpenidConfig"
    },
    {
      "name": "smong.app-key",
      "type": "java.lang.String",
      "sourceType": "com.template.config.SmongConfig"
    },
    {
      "name": "smong.app-secret",
      "type": "java.lang.String",
      "sourceType": "com.template.config.SmongConfig"
    },
    {
      "name": "smong.master-key",
      "type": "java.lang.String",
      "sourceType": "com.template.config.SmongConfig"
    },
    {
      "name": "smong.product-id",
      "type": "java.lang.String",
      "sourceType": "com.template.config.SmongConfig"
    },
    {
      "name": "tencentcloud.sdk-appid",
      "type": "java.lang.String",
      "sourceType": "com.template.config.smsConfig"
    },
    {
      "name": "tencentcloud.secret-i-d",
      "type": "java.lang.String",
      "sourceType": "com.template.config.smsConfig"
    },
    {
      "name": "tencentcloud.secret-key",
      "type": "java.lang.String",
      "sourceType": "com.template.config.smsConfig"
    },
    {
      "name": "tencentcloud.sign-name",
      "type": "java.lang.String",
      "sourceType": "com.template.config.smsConfig"
    },
    {
      "name": "tencentcloud.sms-min",
      "type": "java.lang.String",
      "sourceType": "com.template.config.smsConfig"
    },
    {
      "name": "tencentcloud.template-id",
      "type": "java.lang.String",
      "sourceType": "com.template.config.smsConfig"
    },
    {
      "name": "video.add-device",
      "type": "java.lang.String",
      "sourceType": "com.template.config.VideoConfig"
    },
    {
      "name": "video.app-key",
      "type": "java.lang.String",
      "sourceType": "com.template.config.VideoConfig"
    },
    {
      "name": "video.delete-device",
      "type": "java.lang.String",
      "sourceType": "com.template.config.VideoConfig"
    },
    {
      "name": "video.get-device",
      "type": "java.lang.String",
      "sourceType": "com.template.config.VideoConfig"
    },
    {
      "name": "video.info-device",
      "type": "java.lang.String",
      "sourceType": "com.template.config.VideoConfig"
    },
    {
      "name": "video.secret",
      "type": "java.lang.String",
      "sourceType": "com.template.config.VideoConfig"
    },
    {
      "name": "video.update-device",
      "type": "java.lang.String",
      "sourceType": "com.template.config.VideoConfig"
    }
  ],
  "hints": []
}